Skip to main content
GET
/
payment
/
estimate
Payment estimate
curl --request GET \
  --url https://ramp-sandbox.hexarails.ai/payment/estimate \
  --header 'X-API-Key: <api-key>'
{
  "status": "SUCCESS",
  "data": {
    "rate": "0.9950",
    "deductAmount": "10130.25",
    "bankCharge": "80.00",
    "bankAccount": {
      "bankName": "DBS Bank",
      "accountNo": "1234567890",
      "currency": "USD",
      "beneficiaryName": "John Doe"
    }
  }
}

Authorizations

X-API-Key
string
header
required

Query Parameters

deductCurrency
string
required

currency to deduct from your balance

Example:

"USDT"

amount
string
required

Amount to pay

Example:

"10000"

currency
string
required

Currency to pay

Example:

"USD"

bankAccountId
string
required

The ID of the bank account to pay

Example:

"d33cb6ae-cc67-40e7-b92d-babb255f1774"

Response

Payment estimate successful

status
enum<string>
required

Success response status

Available options:
SUCCESS
Example:

"SUCCESS"

data
object
required

Response data